# default rules
homepage:
  url:   /
  param: { module: homepage, action: index }
  
########  
# ACCOUNT
########
  
loginUser:
  url: /connexion
  param: { module: account, action: loginUser}

logoutUser:
  url: /deconnexion
  param: { module: account, action: logoutUser}

openidLogin:
  url: /open-id/connexion
  param: { module: account, action: openidLogin}
  
viewMyTagList:
  url: /mes-tags
  param: { module: account, action: viewMyTagList}

########  
#SEGMENT EDITOR
########

suggestVideoTagList:
  url:   /editeur/suggestion-tags
  param: { module: editor, action: suggestVideoSegmentTagList }  

editVideoSegment:
  url:   /editeur/:film_slug
  param: { module: editor, action: editVideoSegment }
    
segmentListJson:
  url: /editeur/:film_slug/segments
  param: { module: editor, action: viewVideoSegmentList }
  
  
########
# SEARCH
########

search:
  url: /recherche/:filter/:page_nb
  param: { module: search, action: index, filter: all, page_nb: 1 }
  requirements: { page_nb: \d+ }
  
  
########
# TAGGING
########  

tagging:
  url: /tagging/:tag
  param: { module: tag, action: index, tag: all }

  
########
# FILMS
########

viewFilmList:
  url:   /films/:page/:page_nb
  param: { module: films, action: viewFilmList, page: page, page_nb: 1 }
  requirements: { page_nb: \d+ }
  
viewTopFilmList:
  url:   /top-des-films/:page/:page_nb
  param: { module: films, action: viewTopFilmList, page: page, page_nb: 1 }
  
 
#########
# REFLEXONOMIES
#########

searchReflex:
  url: /reflex/:film_uniqueid/:distance/:tag
  param: { module: reflex, action: index, tag: all, distance: 5 }
#  requirements: { distance: '[+-]?\d+' }   

testReflex:
  url: /testreflex/:film_uniqueid/:distance/:tag
  param: { module: reflex, action: test, tag: all, distance: 5 }

    
##########
# STATIC
##########

project:
  url: /projet
  param: {module: static, action: index}


default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*